Last Comment Bug 986209 - Make it possible to run gaia try jobs *without* doing a build
: Make it possible to run gaia try jobs *without* doing a build
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: General Automation (show other bugs)
: unspecified
: All All
-- normal (vote)
: ---
Assigned To: Aki Sasaki [:aki]
: Chris AtLee [:catlee]
:
Mentors:
Depends on: 991961 992212 1000304 1008513 1008514
Blocks: 914632
  Show dependency treegraph
 
Reported: 2014-03-20 16:02 PDT by Jonathan Griffin (:jgriffin)
Modified: 2014-05-10 02:30 PDT (History)
15 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(needs testing) post_upload (5.33 KB, patch)
2014-03-31 18:43 PDT, Aki Sasaki [:aki]
no flags Details | Diff | Splinter Review
post_upload2 (6.08 KB, patch)
2014-04-01 16:17 PDT, Aki Sasaki [:aki]
nthomas: review+
aki: checked‑in-
Details | Diff | Splinter Review
post_upload_custom (757 bytes, patch)
2014-04-01 16:19 PDT, Aki Sasaki [:aki]
nthomas: review+
aki: checked‑in+
Details | Diff | Splinter Review
best effort softlink (3.33 KB, patch)
2014-04-07 16:40 PDT, Aki Sasaki [:aki]
no flags Details | Diff | Splinter Review
gaia-try-tbpl (761 bytes, patch)
2014-04-07 19:23 PDT, Aki Sasaki [:aki]
ryanvm: review+
aki: checked‑in+
Details | Diff | Splinter Review
gaia-try-configs wip (25.52 KB, patch)
2014-04-15 23:31 PDT, Aki Sasaki [:aki]
no flags Details | Diff | Splinter Review
gaia-try-configs (29.42 KB, patch)
2014-04-16 23:08 PDT, Aki Sasaki [:aki]
catlee: review+
aki: checked‑in+
Details | Diff | Splinter Review
gaia-try-custom (2.28 KB, patch)
2014-04-16 23:08 PDT, Aki Sasaki [:aki]
catlee: review+
aki: checked‑in+
Details | Diff | Splinter Review
gaia-try-mh (5.04 KB, patch)
2014-04-17 02:27 PDT, Aki Sasaki [:aki]
no flags Details | Diff | Splinter Review
gaia-try-mh (5.70 KB, patch)
2014-04-17 12:06 PDT, Aki Sasaki [:aki]
jgriffin: review+
aki: checked‑in+
Details | Diff | Splinter Review
fix_gaia-try_uploads (969 bytes, patch)
2014-04-29 17:56 PDT, Aki Sasaki [:aki]
no flags Details | Diff | Splinter Review
self-serve (689 bytes, patch)
2014-04-29 18:28 PDT, Aki Sasaki [:aki]
aki: review+
aki: checked‑in+
Details | Diff | Splinter Review
[puppet] Add gaia-try ssh config (983 bytes, patch)
2014-04-30 10:24 PDT, Nick Thomas [:nthomas]
aki: review+
nthomas: checked‑in+
Details | Diff | Splinter Review
post_upload4 (5.24 KB, patch)
2014-05-01 11:24 PDT, Aki Sasaki [:aki]
nthomas: review+
aki: checked‑in+
Details | Diff | Splinter Review
use_tinderbox-builds-latest (2.95 KB, patch)
2014-05-01 12:53 PDT, Aki Sasaki [:aki]
no flags Details | Diff | Splinter Review
(needs testing) buildbot-configs opt_extra_args, debug_extra_args (4.27 KB, patch)
2014-05-01 16:15 PDT, Aki Sasaki [:aki]
no flags Details | Diff | Splinter Review
(needs testing) buildbotcustom allow for opt_extra_args, debug_extra_args (4.31 KB, patch)
2014-05-01 16:16 PDT, Aki Sasaki [:aki]
no flags Details | Diff | Splinter Review
(configs) opt_extra_args, debug_extra_args (4.52 KB, patch)
2014-05-02 10:46 PDT, Aki Sasaki [:aki]
no flags Details | Diff | Splinter Review
(custom) deal with opt_extra_args / debug_extra_args (4.09 KB, patch)
2014-05-02 10:47 PDT, Aki Sasaki [:aki]
rail: review+
aki: checked‑in+
Details | Diff | Splinter Review
(configs) opt_extra_args, debug_extra_args (1.81 KB, patch)
2014-05-02 11:19 PDT, Aki Sasaki [:aki]
no flags Details | Diff | Splinter Review
wah (4.54 KB, patch)
2014-05-02 11:25 PDT, Aki Sasaki [:aki]
rail: review+
aki: checked‑in+
Details | Diff | Splinter Review
no_coallescing (1.39 KB, patch)
2014-05-05 12:10 PDT, Aki Sasaki [:aki]
catlee: review+
aki: checked‑in+
Details | Diff | Splinter Review

Description User image Jonathan Griffin (:jgriffin) 2014-03-20 16:02:31 PDT
The gaia team would like to be able to trigger gaia try jobs against "the latest B2G desktop builds available", in order to reduce turnaround time.

In this mode, gaia try would behave similar to how Travis does...it just finds the most recent B2G desktop build that's available on ftp.mozilla.org, and runs tests against it.

We could add logic to the mozharness scripts that handle these test jobs to pull down the most recent build from m-c to run against, but we'd need a way to schedule the test jobs in the absence of a build job.  In buildbot lingo, I think this means we'd need to trigger a sendchange either with a null build url, or with the 'latest' build url.

Potentially, this behavior could be gated on something in the commit message, similar to how try syntax is handled.

:catlee, can you estimate how hard this might be?
Comment 1 User image Jonathan Griffin (:jgriffin) 2014-03-25 17:30:40 PDT
Talked with aki about this in the b2g-cross-functional meeting.  It seemed like a viable approach might be to:

- make a 'dummy' no-op build that just serves to kick off tests
- add a 'latest' link for B2G desktop builds that test jobs could use to locate the latest build

According to gwagner, this is medium-high priority, since it's the last blocker to moving off of Travis. I've volunteered myself and ahal to help if there's anything we can do.
Comment 2 User image Aki Sasaki [:aki] 2014-03-31 18:43:16 PDT
Created attachment 8399743 [details] [diff] [review]
(needs testing) post_upload
Comment 3 User image Aki Sasaki [:aki] 2014-04-01 11:55:26 PDT
Comment on attachment 8399743 [details] [diff] [review]
(needs testing) post_upload

This patch works, but created a mozilla-central-linux32_gecko/1396323260/latest softlink that points to mozilla-central-linux32_gecko/1396323260/en-US, rather than a mozilla-central-linux32_gecko/latest softlink that points to mozilla-central-linux32_gecko/1396323260 .
Comment 4 User image Aki Sasaki [:aki] 2014-04-01 16:17:20 PDT
Created attachment 8400255 [details] [diff] [review]
post_upload2

This patch:

* adds a --release-to-latest-tinderbox-builds option, although I debated making this set behavior
* adds an avoid_race_condition option to rel_symlink()
* removes shadow central stuff
Comment 5 User image Aki Sasaki [:aki] 2014-04-01 16:19:53 PDT
Created attachment 8400256 [details] [diff] [review]
post_upload_custom

Call post_upload.py with --release-to-latest-tinderbox-builds.
This turns it on for all MBF-based builds (including b2g desktop)... not sure how much we should worry about earlier builds finishing later.
Comment 6 User image Chris AtLee [:catlee] 2014-04-02 07:30:46 PDT
Isn't this use case exactly what the taskcluster work is aiming to do?
Comment 7 User image Andrew Halberstadt [:ahal] 2014-04-02 07:35:28 PDT
Taskcluster is still a month or two out technically (and depends on sheriffs using treeherder which may be even longer). James Lal said if doing this wasn't too difficult it would be good to land it in the meantime, otherwise if it was a big complicated change, we could just wait for taskcluster.
Comment 8 User image Jonathan Griffin (:jgriffin) 2014-04-02 11:15:36 PDT
Using TaskCluster to do this instead has a lot of dependencies...all the B2G-related tests (including emulator ones) have to be stood up in TaskCluster, and we have to run them side-by-side for a while to verify we're getting consistent results and a similar number of intermittents.

TaskCluster currently only runs the tests we don't run in TBPL...namely, gaia-build tests and linter tests.

Treeherder has to be deployed, and the sheriffs need to go through some iterations on it to iron out the rough edges, and then sheriffing has to be transitioned to it.

As ahal says, this is likely to be a couple of months of work, realistically, and it's hoped that we can use gaia try in the interim, if that's less work.
Comment 9 User image Nick Thomas [:nthomas] 2014-04-03 16:35:55 PDT
Comment on attachment 8400255 [details] [diff] [review]
post_upload2

>diff --git a/stage/post_upload.py b/stage/post_upload.py
>+def rel_symlink(_to, _from, avoid_race_condition=False):
...
>+        if os.path.exists(_from):
>+            if os.path.isdir(_from):
>+                shutil.rmtree(_from)
>+            else:
>+                os.unlink(_from)

There's theoretically an issue if two builds try to update the latest symlink at the same time, eg unlink() fails because a very slightly earlier job has just done that. We'd should only hit it if I/O operations are slow though. Locking or a retry could be used to avoid that.
Comment 10 User image Aki Sasaki [:aki] 2014-04-03 16:45:21 PDT
Comment on attachment 8400255 [details] [diff] [review]
post_upload2

Pretty sure this is no-op until the buildbotcustom piece is live.

http://hg.mozilla.org/build/tools/rev/c616fa4b85e0

Checked into productdelivery:
Sending        files/bin/post_upload.py
Transmitting file data .
Committed revision 85578.
Comment 11 User image Aki Sasaki [:aki] 2014-04-03 16:47:49 PDT
Comment on attachment 8400256 [details] [diff] [review]
post_upload_custom

https://hg.mozilla.org/build/buildbotcustom/rev/115390977e9f
Comment 12 User image Aki Sasaki [:aki] 2014-04-03 16:59:37 PDT
This was delayed a bit while we debated whether to try getting this in Task Cluster...

Next steps:
* Figure out how best to trigger jobs from the commit hook.  Leaning towards a sendchange but self-serve may also be a solution.
** jhford is blocked on me for this.
* We need a way to see these results.  https://bugzilla.mozilla.org/show_bug.cgi?id=914632#c2 says we need an hg repo, which might be overkill since we won't be creating builds here, but would possibly lead to a gaia-inbound (though I don't know if the patches slated for gaia-try are going to be riskier or more experimental than what would belong in gaia-inbound).
** hg repo
** configs for that repo in buildbot-configs/mozilla and mozilla-tests
** tbpl support for that repo

I think that's it, but it's certainly possible I'm missing something.
Also juggling Flame builds as I haven't found another person to own one of these bugs yet.
Comment 13 User image Armen Zambrano - Back on March 27th [:armenzg] (EDT/UTC-4) 2014-04-04 06:43:54 PDT
Live in production.
Comment 14 User image Ben Hearsum (:bhearsum) 2014-04-04 07:24:19 PDT
I turned the post_upload.py into a no-op because of bustage:
09:55 < nagios-releng> Fri 06:55:50 PDT [4446] buildbot-master111.srv.releng.scl3.mozilla.com:Command Queue is CRITICAL: 5 dead items (http://m.mozilla.org/Command+Queue)
09:55 < nagios-releng> Fri 06:55:50 PDT [4447] buildbot-master112.srv.releng.scl3.mozilla.com:Command Queue is CRITICAL: 5 dead items (http://m.mozilla.org/Command+Queue)
09:55 < nagios-releng> Fri 06:55:50 PDT [4448] buildbot-master51.srv.releng.use1.mozilla.com:Command Queue is CRITICAL: 1 dead item (http://m.mozilla.org/Command+Queue)
09:55 < nagios-releng> Fri 06:55:59 PDT [4449] buildbot-master53.srv.releng.usw2.mozilla.com:Command Queue is CRITICAL: 2 dead items (http://m.mozilla.org/Command+Queue)
09:58 < catlee> hm
09:59 -!- bholley [bholley@B08EEEEB.6BBCE916.7B974E06.IP] has joined #buildduty
09:59 < catlee> OSError: [Errno 40] Too many levels of symbolic links: '/home/ftp/pub/firefox/tinderbox-builds/mozilla-inbound-linux/1396616987/tmpurkgMy'
09:59 < catlee> is that from aki's stuff?


https://hg.mozilla.org/build/tools/rev/f64669f52207
Comment 15 User image Chris AtLee [:catlee] 2014-04-04 07:45:10 PDT
We were getting symlinks that were pointing at themselves. e.g.
lrwxrwxrwx 1 ffxbld firefox 10 Apr  4 07:29 ./b2g-inbound-linux/1396613985 -> 1396613985
Comment 16 User image Aki Sasaki [:aki] 2014-04-04 09:41:08 PDT
Ugh, sorry.  I did test.  I'm not sure how that happened, but I'll try to figure it out.
Comment 17 User image Nick Thomas [:nthomas] 2014-04-06 16:31:35 PDT
Stale latest links have been removed in firefox, mobile, and b2g tinderbox-builds/* dirs.
Comment 18 User image Aki Sasaki [:aki] 2014-04-07 16:40:20 PDT
Created attachment 8402993 [details] [diff] [review]
best effort softlink

I tested with:

* existing softlink (new softlink works)
* existing file (softlink works)
* existing non-writable file (softlink works if directory is writable)
* existing directory (softlink is created inside the directory, which is wrong, but probably harmless)
* existing non-writable directory (softlink fails with an STDERR message)

I'm thinking a best effort softlink is our best option here.  Thoughts?
Comment 19 User image Aki Sasaki [:aki] 2014-04-07 19:23:03 PDT
Created attachment 8403041 [details] [diff] [review]
gaia-try-tbpl
Comment 20 User image Ryan VanderMeulen [:RyanVM] 2014-04-07 19:31:25 PDT
Comment on attachment 8403041 [details] [diff] [review]
gaia-try-tbpl

Review of attachment 8403041 [details] [diff] [review]:
-----------------------------------------------------------------

Let's put it under Try for consistency.
Comment 21 User image Aki Sasaki [:aki] 2014-04-14 15:02:29 PDT
Comment on attachment 8402993 [details] [diff] [review]
best effort softlink

Leaning towards latest nightlies, which already have a latest dir.
Comment 22 User image Nick Thomas [:nthomas] 2014-04-14 15:13:13 PDT
If we go back to latest for tinderbox-builds, then we should take into account builds finishing out of sequence compared to pushes. I think we'd expect latest to mean latest code, instead of latest build.
Comment 23 User image Aki Sasaki [:aki] 2014-04-14 15:37:18 PDT
That would be different than our latest assumption for both nightlies and releases, where it means latest build, not necessarily latest code.
Comment 24 User image Jonathan Griffin (:jgriffin) 2014-04-14 15:58:37 PDT
Since these try jobs will be running against somewhat arbitrary gecko, I'm not sure the difference matters here.  Latest build is probably fine.
Comment 25 User image Aki Sasaki [:aki] 2014-04-15 23:31:55 PDT
Created attachment 8407341 [details] [diff] [review]
gaia-try-configs wip
Comment 26 User image Aki Sasaki [:aki] 2014-04-16 23:08:27 PDT
Created attachment 8408002 [details] [diff] [review]
gaia-try-configs

I'm triggering tests!
Now working on getting them to not be perma-red wastes of infrastructure time...
Comment 27 User image Aki Sasaki [:aki] 2014-04-16 23:08:43 PDT
Created attachment 8408003 [details] [diff] [review]
gaia-try-custom
Comment 28 User image Aki Sasaki [:aki] 2014-04-17 02:27:56 PDT
Created attachment 8408090 [details] [diff] [review]
gaia-try-mh

This isn't completely blowing up.
Gaia integration isn't finding the mozbase requirements txt.  I hope we're looking at the test zip, and not looking at the actual tree, because gaia-try isn't going to have an actual tree.
Comment 29 User image Jonathan Griffin (:jgriffin) 2014-04-17 11:10:27 PDT
Gaia-try uses test.zip; it doesn't look for an actual tree.
Comment 30 User image Aki Sasaki [:aki] 2014-04-17 12:06:31 PDT
Created attachment 8408451 [details] [diff] [review]
gaia-try-mh

This patch:

* adds a config file for gaia-try
* allows for specifying a different location for gaia.json (optional; we could also have the file exist in a b2g/config/ dir in gaia-try, but I figured having the file at the root level would be clearer to the casual observer)
* fixes the |git remote -v| directory
* allows for setting installer_url and test_url via commandline instead of requiring they live in buildprops.json.

I tested an earlier version of this patch on ash and it didn't look like it was causing issues.  I'll still want a good cycle on Cypress on default after landing, though.

I got further with gaia-integration by allowing for setting self.test_url even though gaia-integration has require_test_zip=False for some reason [?].  Now it gets past the mozbase requirements file and is dying on npm commands on a build slave, which is probably a good sign.
Comment 31 User image Aki Sasaki [:aki] 2014-04-17 12:21:21 PDT
Comment on attachment 8403041 [details] [diff] [review]
gaia-try-tbpl

https://hg.mozilla.org/webtools/tbpl/rev/d999ce1616ba
Comment 32 User image Jonathan Griffin (:jgriffin) 2014-04-17 17:04:54 PDT
Comment on attachment 8408451 [details] [diff] [review]
gaia-try-mh

Review of attachment 8408451 [details] [diff] [review]:
-----------------------------------------------------------------

lgtm!
Comment 34 User image Aki Sasaki [:aki] 2014-04-18 11:22:03 PDT
Comment on attachment 8400256 [details] [diff] [review]
post_upload_custom

https://hg.mozilla.org/build/buildbotcustom/rev/643fb06fdae4
Comment 35 User image Jordan Lund (:jlund) 2014-04-21 10:11:56 PDT
mozharness patch is in production: http://hg.mozilla.org/build/mozharness/rev/c9615cf1645a :)
Comment 36 User image Aki Sasaki [:aki] 2014-04-23 13:39:22 PDT
Comment on attachment 8408002 [details] [diff] [review]
gaia-try-configs

https://hg.mozilla.org/build/buildbot-configs/rev/05b13219f810
Comment 37 User image Aki Sasaki [:aki] 2014-04-23 13:39:37 PDT
Comment on attachment 8408003 [details] [diff] [review]
gaia-try-custom

https://hg.mozilla.org/build/buildbotcustom/rev/be9e4dfbc276
Comment 38 User image Ed Morley [:emorley] 2014-04-24 09:22:38 PDT
TBPL part in production :-)
Comment 39 User image Jordan Lund (:jlund) 2014-04-24 13:22:50 PDT
buildbot-config patch is in production: http://hg.mozilla.org/build/buildbot-configs/rev/46353eebf660
buildbotcustom patch is in production: http://hg.mozilla.org/build/buildbotcustom/rev/22ee9ed82c3b

:)
Comment 40 User image Aki Sasaki [:aki] 2014-04-29 17:56:33 PDT
Created attachment 8414923 [details] [diff] [review]
fix_gaia-try_uploads
Comment 41 User image Aki Sasaki [:aki] 2014-04-29 18:03:42 PDT
I see a green test run!
http://buildbot-master04.srv.releng.usw2.mozilla.com:8201/builders/b2g_ubuntu32_vm%20gaia-try%20opt%20test%20reftest/builds/0
Hopefully this latest patch will fix the log upload so it appears on tbpl properly.
Comment 42 User image Aki Sasaki [:aki] 2014-04-29 18:28:58 PDT
Created attachment 8414940 [details] [diff] [review]
self-serve

And I think this adds it to self-serve?
Comment 43 User image Nick Thomas [:nthomas] 2014-04-30 10:02:21 PDT
Comment on attachment 8414923 [details] [diff] [review]
fix_gaia-try_uploads

This patch seems more related to our traditional way of uploading builds, or pulling packages, which may not apply to gaia-try.

For postrun failures, I think you need to duplicate the block starting at
 http://hg.mozilla.org/build/puppet/file/5f842bcfcacd/modules/buildmaster/templates/postrun-default.cfg.erb#l20
for gaia-try. I tried that on bm106 and got this was uploaded
 http://ftp.mozilla.org/pub/mozilla.org/b2g/try-builds/jford@mozilla.com-3d288cf7101e/gaia-try-macosx64_gecko/gaia-try_mountainlion-b2gdt_test-gaia-ui-test-bm106-tests1-macosx-build0.txt.gz
Comment 44 User image Nick Thomas [:nthomas] 2014-04-30 10:24:54 PDT
Created attachment 8415412 [details] [diff] [review]
[puppet] Add gaia-try ssh config
Comment 45 User image Aki Sasaki [:aki] 2014-04-30 10:28:42 PDT
Comment on attachment 8415412 [details] [diff] [review]
[puppet] Add gaia-try ssh config

We could do that, or maybe

(bb08)deathduck:/src/gaia-try/buildbotcustom/bin [10:28:22] (default)
711$ hg diff
diff --git a/bin/postrun.py b/bin/postrun.py
--- a/bin/postrun.py
+++ b/bin/postrun.py
@@ -63,17 +63,17 @@ class PostRunner(object):
                        self.config['statusdb.master_name']]
         if "nightly" in builder.name:
             upload_args.append("--nightly")
         if builder.name.startswith("release-"):
             upload_args.append("--release")
             upload_args.append(
                 "%s/%s" % (info.get('version'), info.get('build_number')))

-        if branch and 'try' in branch:
+        if branch and branch.startswith('try'):
             upload_args.append("--try")
         elif branch == 'shadow-central':
             upload_args.append("--shadow")

         if 'l10n' in builder.name:
             upload_args.append("--l10n")

         if product:

?
Comment 46 User image Aki Sasaki [:aki] 2014-04-30 10:43:10 PDT
Comment on attachment 8414940 [details] [diff] [review]
self-serve

jlund irc review
Comment 47 User image Nick Thomas [:nthomas] 2014-04-30 10:52:08 PDT
Comment on attachment 8415412 [details] [diff] [review]
[puppet] Add gaia-try ssh config

Landed as is, 
  https://hg.mozilla.org/build/puppet/rev/cd7fdf51bc1b

because we're already getting --try but also the wrong keys, eg

/builds/buildbot/tests1-macosx/bin/python /builds/buildbot/tests1-macosx/lib/python2.7/site-packages/buildbotcustom/bin/log_uploader.py -r 2 -t 10 --master-name bm106-tests1-macosx --try --product b2g --platform macosx64_gecko --branch gaia-try --user ffxbld -i /home/cltbld/.ssh/ffxbld_dsa stage.mozilla.org /builds/buildbot/tests1-macosx/master/gaia-try_mountainlion-b2gdt_test-gaia-ui-test 1

and that is teh fail.
Comment 48 User image Aki Sasaki [:aki] 2014-04-30 10:58:06 PDT
Comment on attachment 8414940 [details] [diff] [review]
self-serve

http://hg.mozilla.org/build/tools/rev/58165b25abd4
Comment 49 User image Aki Sasaki [:aki] 2014-04-30 11:29:32 PDT
https://tbpl.mozilla.org/?tree=Gaia-Try is now showing logs/jobs properly.
Self serve has is_done status: https://secure.pub.build.mozilla.org/buildapi/self-serve/gaia-try/rev/697bc885c5f5139b213e4b72be05e8fe7de0ea0c/is_done

Thanks Nick and Catlee!

I think we're done here.
Comment 50 User image Aki Sasaki [:aki] 2014-05-01 11:03:22 PDT
We don't upload crashreporter symbols to latest-nightly/ so debug tests (and any crashes in opt tests most likely) are burning.

I'm probably going to force Nick to review my post_upload.py patch.
Comment 51 User image Aki Sasaki [:aki] 2014-05-01 11:24:23 PDT
Created attachment 8416016 [details] [diff] [review]
post_upload4

Back to best-effort softlink!
Comment 52 User image Aki Sasaki [:aki] 2014-05-01 12:31:57 PDT
Comment on attachment 8416016 [details] [diff] [review]
post_upload4

https://hg.mozilla.org/build/tools/rev/1fb7364360a1
(bb08)deathduck:/src/clean/svn/productdelivery/files/bin [12:21:15]
758$ svn ci
Sending        post_upload.py
Transmitting file data .
Committed revision 86794.
Comment 53 User image Aki Sasaki [:aki] 2014-05-01 12:42:35 PDT
Comment on attachment 8400256 [details] [diff] [review]
post_upload_custom

http://hg.mozilla.org/build/buildbotcustom/rev/a1c93d45703b
Comment 54 User image Aki Sasaki [:aki] 2014-05-01 12:53:13 PDT
Created attachment 8416071 [details] [diff] [review]
use_tinderbox-builds-latest

I'm going to give this a whirl in staging.
Comment 55 User image Aki Sasaki [:aki] 2014-05-01 12:57:34 PDT
Comment on attachment 8416071 [details] [diff] [review]
use_tinderbox-builds-latest

Crap, this doesn't account for debug.
Comment 56 User image Aki Sasaki [:aki] 2014-05-01 16:15:42 PDT
Created attachment 8416199 [details] [diff] [review]
(needs testing) buildbot-configs opt_extra_args, debug_extra_args
Comment 57 User image Aki Sasaki [:aki] 2014-05-01 16:16:25 PDT
Created attachment 8416200 [details] [diff] [review]
(needs testing) buildbotcustom allow for opt_extra_args, debug_extra_args
Comment 58 User image Aki Sasaki [:aki] 2014-05-02 10:46:26 PDT
Created attachment 8416618 [details] [diff] [review]
(configs) opt_extra_args, debug_extra_args

This is going to be fragile around merge day; ideally I fix bug 979554 before next merge day and we upload the gecko/crashreporter/tests files without version numbers.

I tested as far as downloading/extracting the installer, test zip, and crashreporter symbols, which works.
Comment 59 User image Aki Sasaki [:aki] 2014-05-02 10:47:23 PDT
Created attachment 8416619 [details] [diff] [review]
(custom) deal with opt_extra_args / debug_extra_args
Comment 60 User image Aki Sasaki [:aki] 2014-05-02 11:19:03 PDT
Created attachment 8416645 [details] [diff] [review]
(configs) opt_extra_args, debug_extra_args

Fix the linux32 links
Comment 61 User image Aki Sasaki [:aki] 2014-05-02 11:25:09 PDT
Created attachment 8416648 [details] [diff] [review]
wah
Comment 63 User image Aki Sasaki [:aki] 2014-05-03 19:08:20 PDT
Comment on attachment 8416619 [details] [diff] [review]
(custom) deal with opt_extra_args / debug_extra_args

https://hg.mozilla.org/build/buildbotcustom/rev/0122c7db5121
Comment 64 User image Aki Sasaki [:aki] 2014-05-05 12:10:52 PDT
Created attachment 8417563 [details] [diff] [review]
no_coallescing

afaict, coallesce_jobs does nothing.
enable_merging specifies whether coallescing happens.
Comment 66 User image Chris Cooper [:coop] 2014-05-05 13:30:05 PDT
Merged and deployed to production.
Comment 67 User image Aki Sasaki [:aki] 2014-05-05 13:53:05 PDT
I don't see coalescing anymore.
The symbol downloads should work ondemand for opt tests; the debug tests were turned off.  Resolving fixed again.

Note You need to log in before you can comment on or make changes to this bug.